extends _base
append heading
  h1 Vortragsreihe Programmiersprachen - Vortragsplan
append main
  article
    h2 Worum geht es?
    p Wir (Rick und Lorenz) sind fasziniert von Programmiersprachen und finden, dass man im Studium nicht genug darüber lernt. Dabei gibt es abseits von Java, C und python so viele Interessante Konzepte zu entdecken. Wir wollen euch einladen in dieser Vortragsreihe genau das zu tun. <a href="#schedule">Hier gehts zur Vortragsübersicht</a>.
    h2 Organisatorisches
    ul
      li <b>Ort: </b><s>Raum 0.103 IFI-Provisorium</s> <a href="https://lageplan.uni-goettingen.de/?ident=2412_1_2.OG_2.101">Raum 2.101 IfI</a>
      li <b>oder</b> <a href="https://meet.gwdg.de/b/lor-ic3-hva-jee">https://meet.gwdg.de/b/lor-ic3-hva-jee</a> (mindestens der Vortragsteil ist hybrid)
      li <b>Zeit: </b>18:15-19:45
      li <b>Ablauf: </b>Zunächst gibt es immer einen theoretischen Teil, der auf die Konzepte und Alleinstellungsmerkmale eingeht und mindestens 35 Minuten umfasst. Für die meisten Sprachen folgt auch noch ein zweiter, praktischer Teil in dem ihr die Gelegenheit habt, die Sprache selbst einmal auszuprobieren.
    h2(id="contact") Kontakt
    p Wir suchen noch auch noch Vorträge! Wenn du eine Sprache kannst, die noch nicht abgedeckt wird, melde dich bei uns privat oder über <a href="mailto:gitlab+prog-langs-contact-23610-issue-@gwdg.de?subject=Vortrag%20Programmiersprachen&body=Hi%20Rick%20und%20Lorenz%2C%0D%0A%0D%0Aich%20kann%20einen%20Vortrag%20%C3%BCber%20die%20Programmiersprache%20%3F%3F%3F%20halten.%20Habt%20ihr%20Interesse%3F%0D%0A%0D%0AIch%20habe%20im%20Schedule%20gesehen%2C%20dass%20die%20Termine%20%3F%3F%3F%20noch%20frei%20sind.%20Ich%20habe%20da%20auch%20noch%20Zeit.%0D%0A%0D%0AViele%20Gr%C3%BC%C3%9Fe%2C%0D%0A%3F%3F%3F">diesen Link</a>. Insbesondere sind auch weibliche Vortragende willkommen und erwünscht, anders als der Vortragsplan gerade vermuten lassen mag - meldet euch gerne bei uns!
    h2(id="schedule") Schedule / Vortragsplan
    table
      thead
        tr
          th Termin
          th Thema
          th Referent:in
      tbody
        tr
          td 26.04.
          td <a href="#python">Python</a>
          td Lars
        tr
          td 03.05.
          td 
          td 
        tr
          td 10.05.
          td <a href="#csharp">C#</a>
          td Vince
        tr
          td 17.05.
          td Bash
          td Jake
        tr
          td 24.05.
          td <a href="#llvm">LLVM Intermediate Representation</a>
          td Alexander
        tr
          td 31.05.
          td 
          td 
        tr
          td 07.06.
          td <a href="#clojure">Clojure</a>
          td Martin
        tr
          td 14.06.
          td <a href="#js">Javascript</a>
          td Lorenz
        tr
          td 21.06.
          td <a href="#rust">Rust</a>
          td Robin
        tr
          td 28.06.
          td 
          td 
        tr
          td 05.07.
          td <a href="#haskell">Haskell</a>
          td Rick
        tr
          td 12.07.
          td 
          td 
        tr
          td 19.07.
          td <a href="#ssms">Sprachsammelsurium "Minisprachen"</a>
          td Lorenz
    h3(id="python") Python (Lars)
    p Nach dem TIOBE Community Index ist Python dieses Jahr das erste Mal die beliebteste Programmiersprache. Python ist nicht revolutionär, hat keine Plattformexklusivität und ist auf jeden Fall nicht die performanteste Sprache. Dieser Vortrag versucht zu erklären wie Python trotzdem Millionen Softwareentwickler überzeugen konnte.
    h3(id="csharp") C# (Vince)
    p C# - Eine Sprache, mal als Microsoft-Spielerei belächelt wurde, sich inzwischen aber in der Industrie als standard für viele Anwendung durchgesetzt hat. Plattformunabhängig, einfach zu benutzen und intuitiv - c# kann für nahezu jedes Projekt, von der Handy-App mit Xamarin bis zur REST-API mit asp .net core genutzt werden. In diesem Tutorial schauen wir uns vor allem letzteres an und erstellen eine moderne REST-API!
    h3(id="llvm") LLVM Bytecode (Alexander)
    p TODO
    h3(id="clojure") Clojure (Martin)
    p TODO
    h3(id="js") JavaScript (Lorenz)
    p JavaScript - die Sprache, die das World Wide Web von reinen Textseiten in richtige interaktive Anwendungen verwandelt hat. Ob man das gut findet oder nicht - auf dem Weg dahin ist eine Menge passiert und die Sprache von vor 2009 entspricht kaum mehr der Sprache von heute. Modernes JavaScript (und seine Abwandlung TypeScript) kann durchaus eine nutzbare Programmiersprache sein, hat aber vor allem viele interessante und ungewöhnliche Konzepte zu bieten, die wir uns in diesem Vortrag angucken.
    h3(id="rust") Rust (Robin)
    p TODO
    h3(id="haskell") Haskell (Rick)
    p Haskell - jede Sprache bringt mit sich ihre Meinung dazu wie Code aussehen sollte. Effizient, sicher, einfach zu verstehen oder zu schreiben, etc. Einige sind dabei etwas zurückhaltender und andere sind wie Haskell. Steigt mit uns in eine exzentrische Welt, in der mathematik alles beschreibt, Sicherheit über Nutzbarkeit geht und der Compiler weiß, was das beste für dich ist. Wenn man ihn nur noch verstehen würde.
    h3(id="ssms") Sprachsammelsurium "Minisprachen" (Lorenz)
    p Kleine Programmiersprachen sind verbreiteter als man denkt. Sie werden für Konfigurationen, in der Schule und oft als Skripting-Engines für alles von Grafikeditoren bis Computerspiel-KIs verwendet. In diesem Vortrag gucken wir uns gleich mehrere davon an, gucken was sie so können, wo man sie findet und wie man sie selbst nutzen kann.
